[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TCustomSQLQuery.RowsAffected

Return the number of rows (records) affected by the last DML/DDL statement

## Declaration

Source position: sqldb.pp line 384

`public function TCustomSQLQuery.RowsAffected: TRowsCount; virtual;`

## Function result

The number of affected rows or -1 if not supported

## Description

RowsAffected returns the number of rows affected by the last statement executed using ExecSQL.

## Errors

If the connection or database type does not support returning this number, -1 is returned. If the query is not connected to a database, -1 is returned.

## See also

TCustomSQLQuery.ExecSQL |  | Execute a SQL statement that does not return a result set
TSQLConnection |  | An abstract class representing a connection to a SQL Database

Documentation generated on: Feb 26 2014